# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXSetXformObject

Function

Sets the Object to which a transform is applied.

Syntax
`
#include <dx/dx.h>
`

Xform DXSetXformObject(Xform x, Object o)

Functional Details

Replaces the object to be transformed, given an existing Xform object `x`. If `o` is not `NULL`, then the object to be transformed contained in the Xform object `x` is replaced by `o`.

Return Value

Returns `x` or returns `NULL` and sets an error code.

See Also

`DXGetXformInfo, DXNewXform`

16.4 , "Xform Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]